For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet all entity users
      • POSTCreate an entity user
      • GETGet current entity user
      • PATCHUpdate current entity user
      • GETGet a role of this entity user
      • GETGet an entity user
      • DELDelete an entity user
      • PATCHUpdate an entity user
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonEntity users

Get an entity user

GET
/entity_users/:entity_user_id
GET
/v1/entity_users/:entity_user_id
$curl https://api.sandbox.monite.com/v1/entity_users/entity_user_id \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "login": "caseyp",
6 "role_id": "role_id",
7 "status": "active",
8 "email": "email",
9 "first_name": "first_name",
10 "last_name": "last_name",
11 "phone": "phone",
12 "userpic_file_id": "userpic_file_id"
13}
Retrieve an entity user by its ID.
Was this page helpful?
Previous

Delete an entity user

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entity_user_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
UUID entity user ID
created_atdatetime
UTC datetime
updated_atdatetime
UTC datetime
loginstring
Login
role_idstringformat: "uuid"
UUID role ID
statusenum
record status, 'active' by default
Allowed values:
emailstringformat: "email"
An entity user business email
first_namestring
First name
last_namestring
Last name
phonestring
An entity user phone number in the international format
userpic_file_idstringformat: "uuid"

Errors

400
Get Entity Users ID Request Bad Request Error
422
Get Entity Users ID Request Unprocessable Entity Error
500
Get Entity Users ID Request Internal Server Error